# Yandex AppMetrica SDK License Agreement

*This document is a translation of the Yandex AppMetrica SDK License Agreement in English. In case of conflict between the Russian version of the Yandex AppMetrica SDK License Agreement and this translation - only the Russian version of the Yandex AppMetrica SDK License Agreement is legally binding. The Russian version of the Yandex AppMetrica SDK License Agreement can be found here: https://yandex.ru/legal/appmetrica_sdk_agreement/?lang=ru.*

This License Agreement (the "License") is made by and between any person using Yandex AppMetrica SDK (the "User") and Yandex LLC with its registered office at 16, Lva Tolstogo St., Moscow 119021, Russia (the "Rightholder") as a holder of the exclusive right to Yandex AppMetrica SDK.

## 1. General Provisions

1.1. Yandex AppMetrica SDK ("Yandex AppMetrica SDK") may be used by the User to review technical specifications for the interaction of certain AppMetrica elements with software developed by the User.

1.2. By using Yandex AppMetrica SDK or any parts or functions thereof in any way, the User shall expressly accept this License terms and conditions in full, without any reservations or exceptions. If the User does not accept this License terms and conditions in full, the User may not use Yandex AppMetrica SDK. Using AppMetrica SDK in violation of (failing to fulfill) any of this License terms and conditions shall be prohibited. If the User does not agree to the terms and conditions of this License, the User shall refrain from using Yandex AppMetrica SDK.

1.3. Yandex AppMetrica SDK may be used on conditions and in a manner other than those set forth in this License based on a separate agreement to be made with the Rightholder.

1.4. This License and the relations governing the use of Yandex AppMetrica SDK shall be subject to law of the Russian Federation, and any claims or actions arising out of or in connection with this License or related to the use of Yandex AppMetrica SDK shall be submitted for consideration to a court at the Rightholder’s location.

1.5. The Rightholder may provide the User with a translation of this License from Russian into other languages, but in case of any conflict between the provisions of this License in Russian and its translation, only the Russian version shall have legal effect.

1.6. In addition to the License, the following documents shall apply to the relations between the Rightholder and the User governing the use of Yandex AppMetrica SDK:

1.6.1. User Agreement for Yandex Services permanently available at: https://yandex.com/legal/rules/.

1.6.2. Privacy Policy permanently available at: https://yandex.com/legal/confidential/.

1.6.3. If the User uses AppMetrica: Terms of Use of Yandex.Metriсa for Applications Service permanently available at: https://yandex.com/legal/metrica_termsofuse/.

## 2. Exclusive Rights

2.1. The exclusive rights to Yandex AppMetrica SDK are vested in the Rightholder. This License implies no alienation of such rights.

2.2. The exclusive rights to software developed with the use of Yandex AppMetrica SDK are vested in the respective creators thereof. The Rightholder shall not acquire any rights to such software and/or works, except for the right to require that the data defined in cl. 3.3 hereof be specified.

## 3. License

3.1. The Rightholder shall, free of charge and under an ordinary (non-exclusive) license, grant to the User a non-transferable right to use Yandex AppMetrica SDK in all countries of the world in the following ways:

3.1.1. To apply Yandex AppMetrica SDK for the intended functional purpose specified in cl. 1.1 hereof, by downloading (copying) and reproducing it on the User's devices. The User may use Yandex AppMetrica SDK on an unlimited number of devices.

3.2. The User may not distribute Yandex AppMetrica SDK. The User may not change the name of Yandex AppMetrica SDK, change and/or delete copyright marks or any other references to the Rightholder, if they are included in Yandex AppMetrica SDK.

3.3. Paid or free distribution of the software developed with the use of Yandex AppMetrica SDK shall be allowed subject to mentioning of the fact that such software is developed with the use of Yandex AppMetrica SDK by inclusion of the words "Developed with the use of Yandex AppMetrica SDK" in the About section of the program interface, in the text description of the program on the download page thereof and in the program description file included in the installation package (if such file is created).

## 4. Limitations of Use and Liability of the Parties

4.1. The User is hereby notified and agrees that the Rightholder can change the form, structure, development and operation of Yandex AppMetrica SDK without any prior notice to the User. The User acknowledges that later versions of Yandex AppMetrica SDK can differ from earlier ones and that results obtained by the User with the use of an earlier version of Yandex AppMetrica SDK may be incompatible with the subsequent versions of Yandex AppMetrica SDK.

4.2. The User is hereby notified and agrees that the Rightholder may suspend or terminate the creation of new versions of Yandex AppMetrica SDK and also suspend or terminate its support provided in relation to the issued versions without any prior notice to the User.

4.3. This License shall not grant to the User any rights to use the intellectual property owned by the Rightholder, including, but not limited to, the right to use trademarks, logos, domain names and corporate identity elements of the Rightholder.

4.4. It is hereby prohibited to mislead consumers of items developed with the use of Yandex AppMetrica SDK, including, but not limited to, by way of declarations of the User concerning any guarantees made by the Rightholder as to the properties of an item developed with the use of Yandex AppMetrica SDK, the review and approval of such items by the Rightholder and the shared liability of the User and the Rightholder for the quality of the relevant item.

4.5. It is not allowed to use Yandex AppMetrica SDK to develop any malicious software capable of making harm to devices and networks, committing illegal acts or performing functions prohibited by current laws and contradicting cl. 5 of the User Agreement for Yandex Services.

4.6. An item developed in violation of provisions of this License may be, at the discretion of the Rightholder and without any notice to the User, prevented from interaction with the equipment and/or software of the Rightholder and services of the Rightholder.

4.7. The User shall be solely responsible for the compliance of any software developed with the use of the Yandex AppMetrica SDK with the requirements of current laws including those related to protection of personal data owners’ rights. The Rightholder shall not be liable to the User or any third parties for any defects in the software developed with the use of AppMetrica SDK and for violation of any third party rights and legal interests and current laws by such software.

4.8. Yandex AppMetrica SDK is provided on an "as is" basis. The Rightholder shall not guarantee that operation of the software developed with the use of Yandex AppMetrica SDK will be error- free and uninterrupted and that Yandex AppMetrica SDK will meet the particular purposes and expectations of the User, the Rightholder makes no other warranties not expressly stated in this License.

4.9. To the maximum extent permitted by the current laws, the Rightholder shall not be liable for any direct or indirect consequences of any use of, or inability to use, Yandex AppMetrica SDK and/or damages caused to the User and/or third parties as a result of use, or inability to use, Yandex AppMetrica SDK including due to possible malfunction or faulty operation of the software developed with the use of Yandex AppMetrica SDK.

4.10. The User hereby agrees to provide the Rightholder with the following statistics on the use of Yandex AppMetrica SDK, including, but not limited to, IDs, the User's IP address, device producer and/or model, connection type, Yandex AppMetrica SDK version number used by the User, app package name, details of what Yandex AppMetrica SDK components the User uses and how. Such data are processed to improve and optimize Yandex AppMetrica SDK subject to the Privacy Policy. If the User does not agree to provide the data specified herein, the User may not use Yandex AppMetrica SDK.

4.11. The Rightholder may send Yandex AppMetrica SDK-related messages to the User.

## 5. Updates and New Versions

5.1. The Rightholder may offer updates to the User aimed to improve features of Yandex AppMetrica SDK in the form of patches, additional modules, data sets or all-new versions. The User is hereby notified and agrees to receive the Rightholder's messages of any new components or new versions of Yandex AppMetrica SDK available.

5.2. This License covers all future updates/new versions of Yandex AppMetrica SDK. Receiving an update/new version means that the User accepts the terms of this License for corresponding updates/new versions of Yandex AppMetrica SDK, unless Yandex AppMetrica SDK is updated under another license agreement.

## 6. Change of the License Terms and Conditions

6.1. The Rightholder can unilaterally change this License without any prior notice to the User. The current version of this License is permanently available at: https://yandex.com/legal/appmetrica_sdk_agreement/. Any changes made to this License terms and conditions as set forth above shall come into effect from the date of their publication at the address specified above, unless otherwise specified in a corresponding publication.

*Date of publication: November 3, 2017*